5 Replies Latest reply: Jul 4, 2013 7:57 AM by kris807 RSS

    I have the current Reader but am having trouble opening online pdfs


      I have the current Adobe Reader installed but am running into an issue opening online PDF docs.  My computer says "This PDF document might not be displayed correctly.  Open with a Different Viewer."


      I tried today and got this message:


      To view the full contents of this document, you need a later version of the PDF viewer. You can upgrade

      to the latest version of Adobe Reader from www.adobe.com/products/acrobat/readstep2.html

      For further support, go to www.adobe.com/support/products/acrreader.html


      On Mozilla Firefox Browser 21.0


      How can I correct this please?